Subject: Re: linux-next: ftrace tree build failure

From: "Luis R. Rodriguez" <[email-masked]>
Date: Tue, 25 Nov 2008 10:46:30 -0800

On Tue, Nov 25, 2008 at 06:57:01AM -0800, John W. Linville wrote:
> On Tue, Nov 25, 2008 at 09:04:10AM +0100, Ingo Molnar wrote:
> >
> > * Stephen Rothwell <[email-masked]> wrote:
> >
> > > Hi Ingo,
> > >
> > > On Tue, 25 Nov 2008 08:28:01 +0100 Ingo Molnar <[email-masked]> wrote:
> > > >
> > > > this fix is wrong - the intention of that line was to add a proper
> > > > WARN(), not a WARN_ON(). Your change loses the message that WARN()
> > > > prints.
> > > >
> > > > i posted a tested fix for this two days ago:
> > > >
> > > >   http://marc.info/?l=linux-kernel&m=122745649425646&w=2
> > > >
> > > > see it also below.
> > >
> > > Yeah, Steve told me.  However, it might have been useful to tell the
> > > wireless maintainer, the network maintainer and the original author
> > > (and probably netdev - which I also left off).
> >
> > yep, i too forgot to add full Cc:s (it was in the context of a tracing
> > discussion) - but lkml was Cc:-ed so it wasnt actually lost.
> 
> I have the patch now...thanks!
> 
> Now, if I only knew why my build didn't fail with the original code...

Same here I run tests with sparse too prior to sending patches.

  Luis